﻿Partial Public Class BackNavConfig
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        MyBase.OnNavigatedTo(e)
        UpdateUIWithInitializationData()
        navigateButton.IsEnabled = HomeNavigationHelper.Instance.IsInitialized
        'JAIMECLEANUP initializeButton.IsEnabled = Not BackNavigationHelper.Instance.IsInitialized
    End Sub

    Private Sub UpdateUIWithInitializationData()

        navigateButton.IsEnabled = HomeNavigationHelper.Instance.IsInitialized
        'JAIMECLEANUP  initializeButton.IsEnabled = Not BackNavigationHelper.Instance.IsInitialized
    End Sub

    Private Sub OnInitializeNavHelper(ByVal u As Object, ByVal a As RoutedEventArgs)

        UpdateUIWithInitializationData()
    End Sub

    Private Sub OnStart(ByVal u As Object, ByVal a As RoutedEventArgs)
        HomeNavigationHelper.Instance.AutoJournal = autoJournal.IsChecked.Value
        HomeNavigationHelper.Instance.HideFrameonHomeNav = hideFrame.IsChecked.Value
        HomeNavigationHelper.Instance.ValidateUriBeforeHomeNav = Me.validateJournalOnBack.IsChecked.Value
        HomeNavigationHelper.DemoSettings.HideAppBarOnNavigate = Me.hideAppbar.IsChecked.Value
        HomeNavigationHelper.DemoSettings.PreventLoopCreation = Me.avoidLoops.IsChecked.Value


        NavigationService.Navigate(New Uri("/HomeNavigationSamplePages/LevelPage.xaml?level=0", UriKind.Relative))
    End Sub

End Class